# FineRegistration

## Brief Description

Estimate disparity map between two images.

## Tags

Stereo

## Long Description

Estimate disparity map between two images. Output image contain x offset, y offset and metric value.

## Parameters

- [param] -ref <string> The reference image.. Mandatory: True. Default Value: ""
- [param] -sec <string> The secondary image.. Mandatory: True. Default Value: ""
- [param] -out <string> The output image.. Mandatory: True. Default Value: ""
- [param] -erx <int32> The exploration radius along x (in pixels). Mandatory: True. Default Value: "0"
- [param] -ery <int32> The exploration radius along y (in pixels). Mandatory: True. Default Value: "0"
- [param] -mrx <int32> Radius along x (in pixels) of the metric computation window. Mandatory: True. Default Value: "0"
- [param] -mry <int32> Radius along y (in pixels) of the metric computation window. Mandatory: True. Default Value: "0"
- [param] -w <string> The image to warp after disparity estimation is completed. Mandatory: False. Default Value: ""
- [param] -wo <string> The output warped image. Mandatory: False. Default Value: ""
- [param] -cox <float> Coarse offset along x (in physical space) between the two images. Mandatory: False. Default Value: "0"
- [param] -coy <float> Coarse offset along y (in physical space) between the two images. Mandatory: False. Default Value: "0"
- [param] -ssrx <float> Generates a result at a coarser resolution with a given sub-sampling rate along X. Mandatory: False. Default Value: "1"
- [param] -ssry <float> Generates a result at a coarser resolution with a given sub-sampling rate along Y. Mandatory: False. Default Value: "1"
- [param] -rgsx <float> Performs a gaussian smoothing of the reference image. Parameter is gaussian sigma (in pixels) in X direction.. Mandatory: False. Default Value: "0.0"
- [param] -rgsy <float> Performs a gaussian smoothing of the reference image. Parameter is gaussian sigma (in pixels) in Y direction.. Mandatory: False. Default Value: "0.0"
- [param] -sgsx <float> Performs a gaussian smoothing of the secondary image. Parameter is gaussian sigma (in pixels) in X direction.. Mandatory: False. Default Value: "0.0"
- [param] -sgsy <float> Performs a gaussian smoothing of the secondary image. Parameter is gaussian sigma (in pixels) in Y direction.. Mandatory: False. Default Value: "0.0"
- [param] -m <string> Choose the metric used for block matching. Available metrics are cross-correlation (CC), cross-correlation with subtracted mean (CCSM), mean-square difference (MSD), mean reciprocal square difference (MRSD) and mutual information (MI). Default is cross-correlation. Mandatory: False. Default Value: ""
- [param] -spa <float> Metric extrema location will be refined up to the given accuracy. Default is 0.01. Mandatory: False. Default Value: "0.01"
- [param] -cva <float> Metric extrema will be refined up to the given accuracy. Default is 0.01. Mandatory: False. Default Value: "0.01"
- [param] -vmlt <float> Lower threshold to obtain a validity mask.. Mandatory: False. Default Value: "0.0"
- [param] -vmut <float> Upper threshold to obtain a validity mask.. Mandatory: False. Default Value: "0.0"
- [param] -ram <int32> Available memory for processing (in MB). Mandatory: False. Default Value: "128"
- [param] -inxml <string> Load otb application from xml file. Mandatory: False. Default Value: ""
- [param] -outxml <string> Save otb application to xml file. Mandatory: False. Default Value: ""

## Limitations

None

## Authors

OTB-Team

## See Also

## Example of use

- ref: StereoFixed.png

- sec: StereoMoving.png

- out: FineRegistration.tif

- erx: 2

- ery: 2

- mrx: 3

- mry: 3